Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 232625

Summary: Review Request: perl-LockFile-Simple - Simple file locking scheme
Product: [Fedora] Fedora Reporter: Andreas Thienemann <andreas>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: panemade: fedora-review+
wtogami: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-23 10:24:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Andreas Thienemann 2007-03-16 13:46:45 UTC
Spec URL: http://home.bawue.de/~ixs/perl-LockFile-Simple/perl-LockFile-Simple.spec
SRPM URL: http://home.bawue.de/~ixs/perl-LockFile-Simple/perl-LockFile-Simple-0.2.5-1.src.rpm
Description:
This simple locking scheme is not based on any file locking system calls
such as flock() or lockf() but rather relies on basic file system
primitives and properties, such as the atomicity of the write() system
call. It is not meant to be exempt from all race conditions, especially
over NFS.

Comment 1 Parag AN(पराग) 2007-03-21 05:27:54 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
acf9fd6f965789a42fa5314a4be0189d  LockFile-Simple-0.2.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/basic.....ok
t/simple....ok
t/user......ok
All tests successful.
Files=3, Tests=13,  0 wallclock secs ( 0.06 cusr +  0.02 csys =  0.08 CPU)
+ Provides: perl(LockFile::Lock) perl(LockFile::Lock::Simple)
perl(LockFile::Manager) perl(LockFile::Simple) = 0.205

APPROVED.

Comment 2 Andreas Thienemann 2007-03-22 09:51:56 UTC
New Package CVS Request
=======================
Package Name: perl-LockFile-Simple
Short Description: Simple file locking scheme
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Andreas Thienemann 2007-03-23 10:24:01 UTC
Thanks for the review. Package has been built for FC-5, FC-6 and rawhide.